FUNCTION PASPOT(RK,AK,BETA,RM,X1,X2,NATOMTOT,NATOM,NSUB,RS,basis,PRIMLATT,LATTCONST,NSHELL,TOL)
      IMPLICIT NONE
      DOUBLE PRECISION :: PASPOT
      DOUBLE PRECISION :: RK(7),AK(7),BETA,RM,X1,X2
      INTEGER :: NATOMTOT,NATOM,NSUB,NSHELL,NSKAL
      DOUBLE PRECISION :: RS(NATOMTOT,3),PRIMLATT(3,3),LATTCONST,TOL,RSHELL,RR(3),R1(3),R2(3),R3(3),R
      DOUBLE PRECISION :: V(NSHELL),V1,V2,basis(NATOM,3),mep,deg,VATOM(NATOM),RH0,RH
      DOUBLE PRECISION, ALLOCATABLE :: RT(:,:,:,:)
      INTEGER :: i,j,k,l,n1,n2,n3,NUMBSUPERCELLS,mm,nn(NSHELL)
      mep = 0.0001
      RH0 = X2
      NUMBSUPERCELLS = (NSHELL+1)**3
      ALLOCATE(RT(NSHELL,NUMBSUPERCELLS,NATOMTOT,3))
      
      ! Calculating the atomic positions of all shells
    DO i=1,NSHELL  
      mm = 0
      R2(1) =1.0d0*i
      R2(2) =1.0d0*i
      R2(3) =1.0d0*i
      nn(i) = (i+1)**3
      DO n1=0,i
        DO n2=0,i
          DO n3=0,i
            mm = mm +1
            R1(1) = n1*1.0d0
            R1(2) = n2*1.0d0
            R1(3) = n3*1.0d0
            DO j=1,NATOMTOT
                RT(i,mm,j,:) = RS(j,:) + R1 - R2
            ENDDO
        ENDDO
       ENDDO
      ENDDO
    ENDDO
                  DO i=NSHELL-1,NSHELL
                        V(i) = 0.0d0
                        V1 = 0.0d0
                        V2 = 0.0d0
                        RH = 0.0d0
                        DO n1=1,NATOM
                           DO n2=1,nn(i)
                              DO n3=1,NATOMTOT
                               R1=RT(i,n2,n3,:)
                                 R2 = R1 -basis(n1,:)
                                 R1 = MATMUL(PRIMLATT,R2)*LATTCONST
                                 R = sqrt(DOT_PRODUCT(R1,R1))/RM
                                 IF ( R .GT. mep ) THEN
                                   DO j= 1,7
                                      IF ( RK(j) .GT. R ) THEN
                                        V1 = V1 + 0.50d0*AK(j)*(RK(j)-R)**3
                                      ENDIF
                                   ENDDO
                                   RH = RH+exp(-BETA*R)/(R)
                                 ENDIF
                              ENDDO
                            ENDDO
                            V2 = V2 + 0.50d0*X1*(RH-RH0)**2
                            VATOM(n1) = V1+V2
                            V1 = 0.0d0
                            V2 = 0.0d0
                            RH = 0.0d0
                        ENDDO
                        DO j=1,NATOM
                                V(i) = V(i)+VATOM(j)
                        ENDDO
                        V(i) = V(i)/(1.0d0*NATOM)
                   ENDDO 

                                        
        PASPOT = V(NSHELL)
        k= NSHELL-1
        IF ( i .EQ. NSHELL .AND. DABS(V(NSHELL)-V(k)) .LT. TOL ) THEN
                print*,'WARNING: |V(NSHELL)-V(NSHELL-1)| > TOL IN FUNCTION: ZRPOT'
                print*,'INCREASE NSHELL'
        ENDIF       
       
        DEALLOCATE(RT)
      
        END FUNCTION PASPOT
