FUNCTION cdotp(dimen,V1,V2)
      !This function calculates the dot-product
      !between two complex vectors V1,V2 of dimension: dimen
      IMPLICIT NONE
      COMPLEX*16 :: cdotp
      INTEGER,INTENT(IN) :: dimen
      COMPLEX*16,INTENT(IN)::V1(dimen),V2(dimen)
      DOUBLE PRECISION :: V1r(dimen),V2r(dimen),V1i(dimen),V2i(dimen)
      INTEGER :: i
      COMPLEX*16 :: im

      im = (0.0d0,1.0d0)
      
      DO i=1,dimen
        V1r(i) = DBLE(V1(i))
        V2r(i) = DBLE(V2(i))
        V1i(i) = AIMAG(V1(i))
        V2i(i) = AIMAG(V2(i))
      ENDDO
      cdotp = DOT_PRODUCT(V1r,V2r)-DOT_PRODUCT(V1i,V2i)+im*( DOT_PRODUCT(V1i,V2r)+DOT_PRODUCT(V1r,V2i))
END FUNCTION cdotp
      
