SUBROUTINE readforces(FORCES,NATOMTOT,NDISP,DISPL,ITTER,SSZ)
      ! If ITTER > 0 this routine reads in the forces 
      ! from the KRAFTER -file ( a file containing the forces calculated
      ! by VASP ). If ITTER = 0 the routine reads the files:
      ! KRAFTER.1, KRAFTER.2, ..., KRAFTER.N where N = number of 
      ! displacements used for calculating the initial phonon spectrum,
      ! and prints the forces contained in these files together with
      ! the displacements ---> file: FORCES

      IMPLICIT NONE
      INTEGER, INTENT(IN) :: NATOMTOT,NDISP,ITTER
      DOUBLE PRECISION, INTENT(IN) :: DISPL(864),SSZ(3)
      DOUBLE PRECISION, INTENT(OUT) :: FORCES(NATOMTOT,3)
      DOUBLE PRECISION :: KRAFT(NDISP,NATOMTOT,3)
      INTEGER :: i,j,nn,n1,n2,n3
      LOGICAL :: finns
      IF ( ITTER .GT. 0 ) THEN
              inquire(file='KRAFTER',exist=finns)
              IF (.not. finns ) STOP 'cannot find file KRAFTER'
              OPEN(20,FILE='KRAFTER',STATUS='OLD',ACTION='READ')
              DO i =1,NATOMTOT
                READ(20,*)FORCES(i,1),FORCES(i,2),FORCES(i,3)
              ENDDO
              close(20)
      ELSE
              DO i=1,NDISP
                 IF ( i .EQ.1 ) THEN
                         inquire(file='KRAFTER.1',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.1'
                         OPEN(30,FILE='KRAFTER.1',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.2 ) THEN
                         inquire(file='KRAFTER.2',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.2'
                         OPEN(30,FILE='KRAFTER.2',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.3 ) THEN
                         inquire(file='KRAFTER.3',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.3'
                         OPEN(30,FILE='KRAFTER.3',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.4 ) THEN
                         inquire(file='KRAFTER.4',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.4'
                         OPEN(30,FILE='KRAFTER.4',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.5 ) THEN
                         inquire(file='KRAFTER.5',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.5'
                         OPEN(30,FILE='KRAFTER.5',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.6 ) THEN
                         inquire(file='KRAFTER.6',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.6'
                         OPEN(30,FILE='KRAFTER.6',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.7 ) THEN
                         inquire(file='KRAFTER.7',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.7'
                         OPEN(30,FILE='KRAFTER.7',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.8 ) THEN
                         inquire(file='KRAFTER.8',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.8'
                         OPEN(30,FILE='KRAFTER.8',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.9 ) THEN
                         inquire(file='KRAFTER.9',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.9'
                         OPEN(30,FILE='KRAFTER.9',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.10 ) THEN
                         inquire(file='KRAFTER.10',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.10'
                         OPEN(30,FILE='KRAFTER.10',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.11 ) THEN
                         inquire(file='KRAFTER.11',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.11'
                         OPEN(30,FILE='KRAFTER.11',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.12 ) THEN
                         inquire(file='KRAFTER.12',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.12'
                         OPEN(30,FILE='KRAFTER.12',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.13 ) THEN
                         inquire(file='KRAFTER.13',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.13'
                         OPEN(30,FILE='KRAFTER.13',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.14 ) THEN
                         inquire(file='KRAFTER.14',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.14'
                         OPEN(30,FILE='KRAFTER.14',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.15 ) THEN
                         inquire(file='KRAFTER.15',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.15'
                         OPEN(30,FILE='KRAFTER.15',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.16 ) THEN
                         inquire(file='KRAFTER.16',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.16'
                         OPEN(30,FILE='KRAFTER.16',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.17 ) THEN
                         inquire(file='KRAFTER.17',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.17'
                         OPEN(30,FILE='KRAFTER.17',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.18 ) THEN
                         inquire(file='KRAFTER.18',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.18'
                         OPEN(30,FILE='KRAFTER.18',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.19 ) THEN
                         inquire(file='KRAFTER.19',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.19'
                         OPEN(30,FILE='KRAFTER.19',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.20 ) THEN
                         inquire(file='KRAFTER.20',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.20'
                         OPEN(30,FILE='KRAFTER.20',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.21 ) THEN
                         inquire(file='KRAFTER.21',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.21'
                         OPEN(30,FILE='KRAFTER.21',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.22) THEN
                         inquire(file='KRAFTER.22',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.22'
                         OPEN(30,FILE='KRAFTER.22',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.23) THEN
                         inquire(file='KRAFTER.23',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.23'
                         OPEN(30,FILE='KRAFTER.23',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.24) THEN
                         inquire(file='KRAFTER.24',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.24'
                         OPEN(30,FILE='KRAFTER.24',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.25) THEN
                         inquire(file='KRAFTER.25',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.25'
                         OPEN(30,FILE='KRAFTER.25',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.26) THEN
                         inquire(file='KRAFTER.26',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.26'
                         OPEN(30,FILE='KRAFTER.26',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.27) THEN
                         inquire(file='KRAFTER.27',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.27'
                         OPEN(30,FILE='KRAFTER.27',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.28) THEN
                         inquire(file='KRAFTER.28',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.28'
                         OPEN(30,FILE='KRAFTER.28',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.29) THEN
                         inquire(file='KRAFTER.29',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.29'
                         OPEN(30,FILE='KRAFTER.29',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.30) THEN
                         inquire(file='KRAFTER.30',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.30'
                         OPEN(30,FILE='KRAFTER.30',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.31) THEN
                         inquire(file='KRAFTER.31',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.31'
                         OPEN(30,FILE='KRAFTER.31',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.32) THEN
                         inquire(file='KRAFTER.32',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.32'
                         OPEN(30,FILE='KRAFTER.32',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.33) THEN
                         inquire(file='KRAFTER.33',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.33'
                         OPEN(30,FILE='KRAFTER.33',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.34) THEN
                         inquire(file='KRAFTER.34',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.34'
                         OPEN(30,FILE='KRAFTER.34',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.35) THEN
                         inquire(file='KRAFTER.35',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.35'
                         OPEN(30,FILE='KRAFTER.35',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.36) THEN
                         inquire(file='KRAFTER.36',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.36'
                         OPEN(30,FILE='KRAFTER.36',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.37) THEN
                         inquire(file='KRAFTER.37',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.37'
                         OPEN(30,FILE='KRAFTER.37',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.38) THEN
                         inquire(file='KRAFTER.38',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.38'
                         OPEN(30,FILE='KRAFTER.38',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.39) THEN
                         inquire(file='KRAFTER.39',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.39'
                         OPEN(30,FILE='KRAFTER.39',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.40) THEN
                         inquire(file='KRAFTER.40',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.40'
                         OPEN(30,FILE='KRAFTER.40',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.41) THEN
                         inquire(file='KRAFTER.41',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.41'
                         OPEN(30,FILE='KRAFTER.41',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.42) THEN
                         inquire(file='KRAFTER.42',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.42'
                         OPEN(30,FILE='KRAFTER.42',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.43) THEN
                         inquire(file='KRAFTER.43',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.43'
                         OPEN(30,FILE='KRAFTER.43',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.44) THEN
                         inquire(file='KRAFTER.44',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.44'
                         OPEN(30,FILE='KRAFTER.44',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.45) THEN
                         inquire(file='KRAFTER.45',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.45'
                         OPEN(30,FILE='KRAFTER.45',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.46) THEN
                         inquire(file='KRAFTER.46',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.46'
                         OPEN(30,FILE='KRAFTER.46',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.47) THEN
                         inquire(file='KRAFTER.47',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.47'
                         OPEN(30,FILE='KRAFTER.47',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.48) THEN
                         inquire(file='KRAFTER.48',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.48'
                         OPEN(30,FILE='KRAFTER.48',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.49) THEN
                         inquire(file='KRAFTER.49',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.49'
                         OPEN(30,FILE='KRAFTER.49',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.50) THEN
                         inquire(file='KRAFTER.50',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.50'
                         OPEN(30,FILE='KRAFTER.50',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.51) THEN
                         inquire(file='KRAFTER.51',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.51'
                         OPEN(30,FILE='KRAFTER.51',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.52) THEN
                         inquire(file='KRAFTER.52',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.52'
                         OPEN(30,FILE='KRAFTER.52',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.53) THEN
                         inquire(file='KRAFTER.53',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.53'
                         OPEN(30,FILE='KRAFTER.53',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.54) THEN
                         inquire(file='KRAFTER.54',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.54'
                         OPEN(30,FILE='KRAFTER.54',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.55) THEN
                         inquire(file='KRAFTER.55',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.55'
                         OPEN(30,FILE='KRAFTER.55',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.56) THEN
                         inquire(file='KRAFTER.56',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.56'
                         OPEN(30,FILE='KRAFTER.56',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.57) THEN
                         inquire(file='KRAFTER.57',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.57'
                         OPEN(30,FILE='KRAFTER.57',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.58) THEN
                         inquire(file='KRAFTER.58',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.58'
                         OPEN(30,FILE='KRAFTER.58',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.59) THEN
                         inquire(file='KRAFTER.59',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.59'
                         OPEN(30,FILE='KRAFTER.59',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.60) THEN
                         inquire(file='KRAFTER.60',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.60'
                         OPEN(30,FILE='KRAFTER.60',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.61) THEN
                         inquire(file='KRAFTER.61',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.61'
                         OPEN(30,FILE='KRAFTER.61',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.62) THEN
                         inquire(file='KRAFTER.62',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.62'
                         OPEN(30,FILE='KRAFTER.62',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.63) THEN
                         inquire(file='KRAFTER.63',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.63'
                         OPEN(30,FILE='KRAFTER.63',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.64) THEN
                         inquire(file='KRAFTER.64',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.64'
                         OPEN(30,FILE='KRAFTER.64',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.65) THEN
                         inquire(file='KRAFTER.65',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.65'
                         OPEN(30,FILE='KRAFTER.65',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.66) THEN
                         inquire(file='KRAFTER.66',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.66'
                         OPEN(30,FILE='KRAFTER.66',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.67) THEN
                         inquire(file='KRAFTER.67',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.67'
                         OPEN(30,FILE='KRAFTER.67',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.68) THEN
                         inquire(file='KRAFTER.68',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.68'
                         OPEN(30,FILE='KRAFTER.68',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.69) THEN
                         inquire(file='KRAFTER.69',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.69'
                         OPEN(30,FILE='KRAFTER.69',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.70) THEN
                         inquire(file='KRAFTER.70',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.70'
                         OPEN(30,FILE='KRAFTER.70',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.71) THEN
                         inquire(file='KRAFTER.71',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.71'
                         OPEN(30,FILE='KRAFTER.71',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.72) THEN
                         inquire(file='KRAFTER.72',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.72'
                         OPEN(30,FILE='KRAFTER.72',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.73) THEN
                         inquire(file='KRAFTER.73',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.73'
                         OPEN(30,FILE='KRAFTER.73',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.74) THEN
                         inquire(file='KRAFTER.74',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.74'
                         OPEN(30,FILE='KRAFTER.74',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.75) THEN
                         inquire(file='KRAFTER.75',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.75'
                         OPEN(30,FILE='KRAFTER.75',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.76) THEN
                         inquire(file='KRAFTER.76',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.76'
                         OPEN(30,FILE='KRAFTER.76',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.77) THEN
                         inquire(file='KRAFTER.77',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.77'
                         OPEN(30,FILE='KRAFTER.77',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.78) THEN
                         inquire(file='KRAFTER.78',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.78'
                         OPEN(30,FILE='KRAFTER.78',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.79) THEN
                         inquire(file='KRAFTER.79',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.79'
                         OPEN(30,FILE='KRAFTER.79',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.80) THEN
                         inquire(file='KRAFTER.80',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.80'
                         OPEN(30,FILE='KRAFTER.80',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.81) THEN
                         inquire(file='KRAFTER.81',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.81'
                         OPEN(30,FILE='KRAFTER.81',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.82) THEN
                         inquire(file='KRAFTER.82',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.82'
                         OPEN(30,FILE='KRAFTER.82',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.83) THEN
                         inquire(file='KRAFTER.83',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.83'
                         OPEN(30,FILE='KRAFTER.83',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.84) THEN
                         inquire(file='KRAFTER.84',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.84'
                         OPEN(30,FILE='KRAFTER.84',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.85) THEN
                         inquire(file='KRAFTER.85',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.85'
                         OPEN(30,FILE='KRAFTER.85',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.86) THEN
                         inquire(file='KRAFTER.86',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.86'
                         OPEN(30,FILE='KRAFTER.86',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.87) THEN
                         inquire(file='KRAFTER.87',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.87'
                         OPEN(30,FILE='KRAFTER.87',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.88) THEN
                         inquire(file='KRAFTER.88',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.88'
                         OPEN(30,FILE='KRAFTER.88',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.89) THEN
                         inquire(file='KRAFTER.89',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.89'
                         OPEN(30,FILE='KRAFTER.89',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.90) THEN
                         inquire(file='KRAFTER.90',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.90'
                         OPEN(30,FILE='KRAFTER.90',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.91) THEN
                         inquire(file='KRAFTER.91',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.91'
                         OPEN(30,FILE='KRAFTER.91',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.92) THEN
                         inquire(file='KRAFTER.92',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.92'
                         OPEN(30,FILE='KRAFTER.92',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.93) THEN
                         inquire(file='KRAFTER.93',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.93'
                         OPEN(30,FILE='KRAFTER.93',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.94) THEN
                         inquire(file='KRAFTER.94',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.94'
                         OPEN(30,FILE='KRAFTER.94',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.95) THEN
                         inquire(file='KRAFTER.95',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.95'
                         OPEN(30,FILE='KRAFTER.95',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.96) THEN
                         inquire(file='KRAFTER.96',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.96'
                         OPEN(30,FILE='KRAFTER.96',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.97) THEN
                         inquire(file='KRAFTER.97',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.97'
                         OPEN(30,FILE='KRAFTER.97',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.98) THEN
                         inquire(file='KRAFTER.98',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.98'
                         OPEN(30,FILE='KRAFTER.98',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.99) THEN
                         inquire(file='KRAFTER.99',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.99'
                         OPEN(30,FILE='KRAFTER.99',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.100 ) THEN
                         inquire(file='KRAFTER.100',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.100'
                         OPEN(30,FILE='KRAFTER.100',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.101 ) THEN
                         inquire(file='KRAFTER.101',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.101'
                         OPEN(30,FILE='KRAFTER.101',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.102 ) THEN
                         inquire(file='KRAFTER.102',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.102'
                         OPEN(30,FILE='KRAFTER.102',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.103 ) THEN
                         inquire(file='KRAFTER.103',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.103'
                         OPEN(30,FILE='KRAFTER.103',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.104 ) THEN
                         inquire(file='KRAFTER.104',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.104'
                         OPEN(30,FILE='KRAFTER.104',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.105 ) THEN
                         inquire(file='KRAFTER.105',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.105'
                         OPEN(30,FILE='KRAFTER.105',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.106 ) THEN
                         inquire(file='KRAFTER.106',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.106'
                         OPEN(30,FILE='KRAFTER.106',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.107 ) THEN
                         inquire(file='KRAFTER.107',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.107'
                         OPEN(30,FILE='KRAFTER.107',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.108 ) THEN
                         inquire(file='KRAFTER.108',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.108'
                         OPEN(30,FILE='KRAFTER.108',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.109 ) THEN
                         inquire(file='KRAFTER.109',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.109'
                         OPEN(30,FILE='KRAFTER.109',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.110 ) THEN
                         inquire(file='KRAFTER.110',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.110'
                         OPEN(30,FILE='KRAFTER.110',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.111 ) THEN
                         inquire(file='KRAFTER.111',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.111'
                         OPEN(30,FILE='KRAFTER.111',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.112 ) THEN
                         inquire(file='KRAFTER.112',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.112'
                         OPEN(30,FILE='KRAFTER.112',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.113 ) THEN
                         inquire(file='KRAFTER.113',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.113'
                         OPEN(30,FILE='KRAFTER.113',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.114 ) THEN
                         inquire(file='KRAFTER.114',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.114'
                         OPEN(30,FILE='KRAFTER.114',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.115 ) THEN
                         inquire(file='KRAFTER.115',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.115'
                         OPEN(30,FILE='KRAFTER.115',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.116 ) THEN
                         inquire(file='KRAFTER.116',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.116'
                         OPEN(30,FILE='KRAFTER.116',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.117 ) THEN
                         inquire(file='KRAFTER.117',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.117'
                         OPEN(30,FILE='KRAFTER.117',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.118 ) THEN
                         inquire(file='KRAFTER.118',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.118'
                         OPEN(30,FILE='KRAFTER.118',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.119 ) THEN
                         inquire(file='KRAFTER.119',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.119'
                         OPEN(30,FILE='KRAFTER.119',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.120 ) THEN
                         inquire(file='KRAFTER.120',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.120'
                         OPEN(30,FILE='KRAFTER.120',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.121 ) THEN
                         inquire(file='KRAFTER.121',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.121'
                         OPEN(30,FILE='KRAFTER.121',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.122 ) THEN
                         inquire(file='KRAFTER.122',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.122'
                         OPEN(30,FILE='KRAFTER.122',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.123 ) THEN
                         inquire(file='KRAFTER.123',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.123'
                         OPEN(30,FILE='KRAFTER.123',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.124 ) THEN
                         inquire(file='KRAFTER.124',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.124'
                         OPEN(30,FILE='KRAFTER.124',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.125 ) THEN
                         inquire(file='KRAFTER.125',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.125'
                         OPEN(30,FILE='KRAFTER.125',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.126 ) THEN
                         inquire(file='KRAFTER.126',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.126'
                         OPEN(30,FILE='KRAFTER.126',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.127 ) THEN
                         inquire(file='KRAFTER.127',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.127'
                         OPEN(30,FILE='KRAFTER.127',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.128 ) THEN
                         inquire(file='KRAFTER.128',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.128'
                         OPEN(30,FILE='KRAFTER.128',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.129 ) THEN
                         inquire(file='KRAFTER.129',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.129'
                         OPEN(30,FILE='KRAFTER.129',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.130 ) THEN
                         inquire(file='KRAFTER.130',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.130'
                         OPEN(30,FILE='KRAFTER.130',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.131 ) THEN
                         inquire(file='KRAFTER.131',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.131'
                         OPEN(30,FILE='KRAFTER.131',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.132 ) THEN
                         inquire(file='KRAFTER.132',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.132'
                         OPEN(30,FILE='KRAFTER.132',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.133 ) THEN
                         inquire(file='KRAFTER.133',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.133'
                         OPEN(30,FILE='KRAFTER.133',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.134 ) THEN
                         inquire(file='KRAFTER.134',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.134'
                         OPEN(30,FILE='KRAFTER.134',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.135 ) THEN
                         inquire(file='KRAFTER.135',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.135'
                         OPEN(30,FILE='KRAFTER.135',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.136 ) THEN
                         inquire(file='KRAFTER.136',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.136'
                         OPEN(30,FILE='KRAFTER.136',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.137 ) THEN
                         inquire(file='KRAFTER.137',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.137'
                         OPEN(30,FILE='KRAFTER.137',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.138 ) THEN
                         inquire(file='KRAFTER.138',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.138'
                         OPEN(30,FILE='KRAFTER.138',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.139 ) THEN
                         inquire(file='KRAFTER.139',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.139'
                         OPEN(30,FILE='KRAFTER.139',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.140 ) THEN
                         inquire(file='KRAFTER.140',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.140'
                         OPEN(30,FILE='KRAFTER.140',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.141 ) THEN
                         inquire(file='KRAFTER.141',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.141'
                         OPEN(30,FILE='KRAFTER.141',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.142) THEN
                         inquire(file='KRAFTER.142',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.142'
                         OPEN(30,FILE='KRAFTER.142',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.143) THEN
                         inquire(file='KRAFTER.143',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.143'
                         OPEN(30,FILE='KRAFTER.143',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.144) THEN
                         inquire(file='KRAFTER.144',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.144'
                         OPEN(30,FILE='KRAFTER.144',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.145) THEN
                         inquire(file='KRAFTER.145',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.145'
                         OPEN(30,FILE='KRAFTER.145',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.146) THEN
                         inquire(file='KRAFTER.146',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.146'
                         OPEN(30,FILE='KRAFTER.146',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.147) THEN
                         inquire(file='KRAFTER.147',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.147'
                         OPEN(30,FILE='KRAFTER.147',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.148) THEN
                         inquire(file='KRAFTER.148',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.148'
                         OPEN(30,FILE='KRAFTER.148',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.149) THEN
                         inquire(file='KRAFTER.149',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.149'
                         OPEN(30,FILE='KRAFTER.149',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.150) THEN
                         inquire(file='KRAFTER.150',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.150'
                         OPEN(30,FILE='KRAFTER.150',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.151) THEN
                         inquire(file='KRAFTER.151',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.151'
                         OPEN(30,FILE='KRAFTER.151',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.152) THEN
                         inquire(file='KRAFTER.152',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.152'
                         OPEN(30,FILE='KRAFTER.152',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.153) THEN
                         inquire(file='KRAFTER.153',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.153'
                         OPEN(30,FILE='KRAFTER.153',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.154) THEN
                         inquire(file='KRAFTER.154',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.154'
                         OPEN(30,FILE='KRAFTER.154',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.155) THEN
                         inquire(file='KRAFTER.155',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.155'
                         OPEN(30,FILE='KRAFTER.155',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.156) THEN
                         inquire(file='KRAFTER.156',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.156'
                         OPEN(30,FILE='KRAFTER.156',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.157) THEN
                         inquire(file='KRAFTER.157',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.157'
                         OPEN(30,FILE='KRAFTER.157',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.158) THEN
                         inquire(file='KRAFTER.158',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.158'
                         OPEN(30,FILE='KRAFTER.158',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.159) THEN
                         inquire(file='KRAFTER.159',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.159'
                         OPEN(30,FILE='KRAFTER.159',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.160) THEN
                         inquire(file='KRAFTER.160',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.160'
                         OPEN(30,FILE='KRAFTER.160',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.161) THEN
                         inquire(file='KRAFTER.161',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.161'
                         OPEN(30,FILE='KRAFTER.161',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.162) THEN
                         inquire(file='KRAFTER.162',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.162'
                         OPEN(30,FILE='KRAFTER.162',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.163) THEN
                         inquire(file='KRAFTER.163',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.163'
                         OPEN(30,FILE='KRAFTER.163',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.164) THEN
                         inquire(file='KRAFTER.164',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.164'
                         OPEN(30,FILE='KRAFTER.164',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.165) THEN
                         inquire(file='KRAFTER.165',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.165'
                         OPEN(30,FILE='KRAFTER.165',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.166) THEN
                         inquire(file='KRAFTER.166',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.166'
                         OPEN(30,FILE='KRAFTER.166',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.167) THEN
                         inquire(file='KRAFTER.167',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.167'
                         OPEN(30,FILE='KRAFTER.167',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.168) THEN
                         inquire(file='KRAFTER.168',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.168'
                         OPEN(30,FILE='KRAFTER.168',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.169) THEN
                         inquire(file='KRAFTER.169',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.169'
                         OPEN(30,FILE='KRAFTER.169',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.170) THEN
                         inquire(file='KRAFTER.170',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.170'
                         OPEN(30,FILE='KRAFTER.170',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.171) THEN
                         inquire(file='KRAFTER.171',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.171'
                         OPEN(30,FILE='KRAFTER.171',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.172) THEN
                         inquire(file='KRAFTER.172',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.172'
                         OPEN(30,FILE='KRAFTER.172',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.173) THEN
                         inquire(file='KRAFTER.173',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.173'
                         OPEN(30,FILE='KRAFTER.173',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.174) THEN
                         inquire(file='KRAFTER.174',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.174'
                         OPEN(30,FILE='KRAFTER.174',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.175) THEN
                         inquire(file='KRAFTER.175',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.175'
                         OPEN(30,FILE='KRAFTER.175',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.176) THEN
                         inquire(file='KRAFTER.176',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.176'
                         OPEN(30,FILE='KRAFTER.176',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.177) THEN
                         inquire(file='KRAFTER.177',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.177'
                         OPEN(30,FILE='KRAFTER.177',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.178) THEN
                         inquire(file='KRAFTER.178',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.178'
                         OPEN(30,FILE='KRAFTER.178',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.179) THEN
                         inquire(file='KRAFTER.179',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.179'
                         OPEN(30,FILE='KRAFTER.179',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.180) THEN
                         inquire(file='KRAFTER.180',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.180'
                         OPEN(30,FILE='KRAFTER.180',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.181) THEN
                         inquire(file='KRAFTER.181',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.181'
                         OPEN(30,FILE='KRAFTER.181',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.182) THEN
                         inquire(file='KRAFTER.182',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.182'
                         OPEN(30,FILE='KRAFTER.182',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.183) THEN
                         inquire(file='KRAFTER.183',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.183'
                         OPEN(30,FILE='KRAFTER.183',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.184) THEN
                         inquire(file='KRAFTER.184',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.184'
                         OPEN(30,FILE='KRAFTER.184',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.185) THEN
                         inquire(file='KRAFTER.185',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.185'
                         OPEN(30,FILE='KRAFTER.185',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.186) THEN
                         inquire(file='KRAFTER.186',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.186'
                         OPEN(30,FILE='KRAFTER.186',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.187) THEN
                         inquire(file='KRAFTER.187',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.187'
                         OPEN(30,FILE='KRAFTER.187',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.188) THEN
                         inquire(file='KRAFTER.188',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.188'
                         OPEN(30,FILE='KRAFTER.188',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.189) THEN
                         inquire(file='KRAFTER.189',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.189'
                         OPEN(30,FILE='KRAFTER.189',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.190) THEN
                         inquire(file='KRAFTER.190',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.190'
                         OPEN(30,FILE='KRAFTER.190',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.191) THEN
                         inquire(file='KRAFTER.191',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.191'
                         OPEN(30,FILE='KRAFTER.191',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.192) THEN
                         inquire(file='KRAFTER.192',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.192'
                         OPEN(30,FILE='KRAFTER.192',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.193) THEN
                         inquire(file='KRAFTER.193',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.193'
                         OPEN(30,FILE='KRAFTER.193',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.194) THEN
                         inquire(file='KRAFTER.194',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.194'
                         OPEN(30,FILE='KRAFTER.194',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.195) THEN
                         inquire(file='KRAFTER.195',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.195'
                         OPEN(30,FILE='KRAFTER.195',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.196) THEN
                         inquire(file='KRAFTER.196',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.196'
                         OPEN(30,FILE='KRAFTER.196',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.197) THEN
                         inquire(file='KRAFTER.197',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.197'
                         OPEN(30,FILE='KRAFTER.197',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.198) THEN
                         inquire(file='KRAFTER.198',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.198'
                         OPEN(30,FILE='KRAFTER.198',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.199) THEN
                         inquire(file='KRAFTER.199',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.199'
                         OPEN(30,FILE='KRAFTER.199',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.200) THEN
                         inquire(file='KRAFTER.200',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.200'
                         OPEN(30,FILE='KRAFTER.200',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.201) THEN
                         inquire(file='KRAFTER.201',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.201'
                         OPEN(30,FILE='KRAFTER.201',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.202) THEN
                         inquire(file='KRAFTER.202',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.202'
                         OPEN(30,FILE='KRAFTER.202',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.203) THEN
                         inquire(file='KRAFTER.203',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.203'
                         OPEN(30,FILE='KRAFTER.203',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.204) THEN
                         inquire(file='KRAFTER.204',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.204'
                         OPEN(30,FILE='KRAFTER.204',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.205) THEN
                         inquire(file='KRAFTER.205',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.205'
                         OPEN(30,FILE='KRAFTER.205',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.206) THEN
                         inquire(file='KRAFTER.206',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.206'
                         OPEN(30,FILE='KRAFTER.206',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.207) THEN
                         inquire(file='KRAFTER.207',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.207'
                         OPEN(30,FILE='KRAFTER.207',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.208) THEN
                         inquire(file='KRAFTER.208',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.208'
                         OPEN(30,FILE='KRAFTER.208',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.209) THEN
                         inquire(file='KRAFTER.209',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.209'
                         OPEN(30,FILE='KRAFTER.209',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.210) THEN
                         inquire(file='KRAFTER.210',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.210'
                         OPEN(30,FILE='KRAFTER.210',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.211) THEN
                         inquire(file='KRAFTER.211',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.211'
                         OPEN(30,FILE='KRAFTER.211',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.212) THEN
                         inquire(file='KRAFTER.212',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.212'
                         OPEN(30,FILE='KRAFTER.212',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.213) THEN
                         inquire(file='KRAFTER.213',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.213'
                         OPEN(30,FILE='KRAFTER.213',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.214) THEN
                         inquire(file='KRAFTER.214',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.214'
                         OPEN(30,FILE='KRAFTER.214',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.215) THEN
                         inquire(file='KRAFTER.215',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.215'
                         OPEN(30,FILE='KRAFTER.215',STATUS='OLD',ACTION='READ')
                 ENDIF
                 IF ( i .EQ.216) THEN
                         inquire(file='KRAFTER.216',exist=finns)
                         IF (.not. finns ) STOP 'cannot find file KRAFTER.216'
                         OPEN(30,FILE='KRAFTER.216',STATUS='OLD',ACTION='READ')
                 ENDIF
                 DO j =1,NATOMTOT
                        READ(30,*)KRAFT(i,j,1),KRAFT(i,j,2),KRAFT(i,j,3)
                 ENDDO
                 close(30)
               ENDDO

               OPEN(40,FILE='FORCES',ACTION='WRITE')
               1 FORMAT(I4)
               2 FORMAT(I3,X,3(F15.10,2X))
               3 FORMAT(3(F30.10,2X))
               WRITE(40,FMT=1)NDISP
               DO i=1,NDISP
                nn = DINT(DISPL(1+(i-1)*4))
                n1 = 2+4*(i-1)
                n2 = 3+4*(i-1)
                n3 = 4+4*(i-1)
                WRITE(40,FMT=2)nn,DISPL(n1),DISPL(n2),DISPL(n3)
                DO j=1,NATOMTOT
                        WRITE(40,FMT=3)KRAFT(i,j,1),KRAFT(i,j,2),KRAFT(i,j,3)
                ENDDO
               ENDDO
               close(40)
       ENDIF

END SUBROUTINE readforces
